<?php
  
$webdoc["page_title"].=" - Login";

if (isset($_SESSION["$webdoc[main_table]_auth"])) // kontrola zobrazeni hlasky v pripade, ze je uzivatel jiz prihlasen 
{
  $url="./?subpage1=$_GET[subpage1]&subpage2=list_auth";
  header("location: $url");
}

if (isset($_POST["button"])) // prevedeni zadaneho jmena a hesla z formulare 
{
  $filled_ok=true;
  $record["login"]=$_POST["login"];
  $record["pass"]=$_POST["pass"];
 
  if ($record["login"]=="")
  {
    $webdoc["message"]["form_error"][]=database_get_message("filled_login");
    $filled_ok=false;
  }

  if ($record["pass"]=="")
  {
    $webdoc["message"]["form_error"][]=database_get_message("filled_pass");
    $filled_ok=false;
  }
  
  if ($filled_ok)
  {
    database_get_auth($record["login"],$record["pass"]);
  }
}

if (!isset($_POST["button"])) // konec, nebyla-li poslana data v postu
  
?>
